# 列出預先定義的範本。

Endpoint: GET /s2s/v2.0/task/template/headshot
Security: BearerAuthenticationV2

## Security:

  - `BearerAuthenticationV2` (unknown)
    http bearer

## Query parameters:

  - `page_size` (integer)
    這一頁要回傳的結果數量。有效值應介於 1 到 20 之間。預設為 20。

  - `starting_token` (string)
    目前頁面的令牌。第一頁以 `null` 開始，並使用上一個回應中的 `next_token` 開始下一頁

## Response 200:

  - `200` (unknown)
    成功取得風格

## Response 200 fields (application/json):

  - `status` (integer)
    回應狀態
    Example: 200

  - `data` (object)

  - `data.templates` (array)

  - `data.templates.id` (string)
    範本的 ID。執行任務時作為 `template_id` 使用。
    Example: good_template_001

  - `data.templates.thumb` (string)
    風格的縮略圖。

  - `data.templates.title` (string)
    範本的標題。

  - `data.templates.category_name` (string)
    範本的類別名稱。

  - `data.next_token` (string)
    查詢下一頁的令牌。
    Example: 73a3c9e69b89

## Response 400:

  - `400` (unknown)
    請求參數無效

## Response 400 fields (application/json):

  - `status` (integer)
    回應狀態
    Example: 400

  - `error` (string)
    Example: Invalid parameter value

  - `error_code` (string)
    Example: InvalidParameters

## Response 401:

  - `401` (unknown)
    API 金鑰無效或缺失

## Response 401 fields (application/json):

  - `status` (integer)
    回應狀態
    Example: 401

  - `error` (string)
    Example: Invalid API key

